#
# Makefile for building SM502 test program
#
# ChangeLog:
#   V0.1    2009/12/15   Initial version
#

# Note:
#   $^: all dependence file names
#   $<: the first dependence file name
#

PROGRAMS = bitblit rectfill drawline

CC     = arm-sony-linux-gnueabi-dev-gcc
CFLAGS = -Wall -Wstrict-prototypes -Os

all: $(PROGRAMS)

sm502.o: sm502.c sm502.h sm502_internal.h
	$(CC) $(CFLAGS) -c -o $@ $<

fb.o: 	 fb.c fb.h
	$(CC) $(CFLAGS) -c -o $@ $<

bitblit: bitblit.o sm502.o fb.o
	 $(CC) $(CFLAGS) -o $@ $^

rectfill: rectfill.o sm502.o fb.o
	 $(CC) $(CFLAGS) -o $@ $^

drawline: drawline.o sm502.o fb.o
	 $(CC) -o $@ $^

clean:
	$(RM) $(PROGRAMS) *.o
